{% extends 'base.html' %}
{% block title %}Vue d'ensemble commande - Billevent Orga{% endblock %}
{% block content %}
    <h1 class="title">Récapitulatif de(s) commande(s)</h1>
    <hr/>
    <ul class="nested">
    {% for commande in commandes %}
        <li>{{ commande }}
   <h1 class="h1">
             <a href="/orga/api/client/{{ commande.client.id }}">Client {{ commande.client }}</a>
         </h1>
         <ul class="nested">
             <li>
                 <h2>
                     <a href="/orga/api/order/{{ commande.id }}">{{ commande }}</a>&nbsp; &nbsp; payée avec &nbsp;
                     <a href="/orga/mercanet/transactionmercanet/{{ commande.transaction.mercanet.id }}">Transaction {{ commande.transaction.mercanet.transactionReference }}</a>
                     ({{ commande.transaction.mercanet.euros_amount }} €)
                 </h2>
                 <ul class="nested">
                     {% if commande.billets %}
                         {% for billet in commande.billets.all %}
                     <li>
                         <h3>
                            <a href="/orga/api/billet/{{ billet.id }}">{{ billet }}</a>
                         </h3>
                         <ul class="nested">
                         {% for p in billet.les_participants %}
                             <li><a href="/orga/api/participant/{{ p.id }}">{{ p }}</a> </li>
                         {% endfor %}
                         </ul>
                     {% endfor %}
                     {% endif %}
                     </li>
                 </ul>
             </li>
             <!-- commandes ici -->
         </ul>
     </li>
    {% endfor %}
    </ul>
    <style>
    h1 {margin: 0px;}
    h2 {margin: 0px;}
    h3 {margin: 0px;}

    .nested {margin-left: -1em;}
    </style>
{% endblock %}
